About

This document describes the functionality of the «Software Defined Connectors» (abbreviated «SDC») software.

Overview of features of the program:

- "ProFile Manager". Working with the profiles for 5MContest and ExpertSDR2 programs.

- "COM Spider".Creates any connections between COM ports. Transferring a COM port over the network to a remote computer. Transmits the CW signal (DTR / RTS) to the remote computer, keeping the switching intervals.

- “RIG Sync”. Synchronization of receivers, transceivers and programs of all types. Uses its own polling system to allow fast synchronization. You can sync with OmniRig and SDR client programs that support ExpertSync protocol over TCP connections or TCI interface.

- "Telnet Server". Creates a telnet server to collect data from multiple spot sources and transmit it over a single port. It can automatically start SKM server and connect it to transfer points. Summarizes and transfers spots to the ExpertSDR2 panorama. Integration with 5MContest, N1MM, LogHX logs.

- “SKM Server”. Creates CW, RTTY and PSK skimmers. Has direct integration with ExpertSDR2 via TCI interface, SmartSDR via audio and telnet connection, Afedri, etc. All kinds of skimmers have a high spot sending speed.

- "Digi Server". Digital module for connecting to external logs and offline work. It has built-in modulators / demodulators for RTTY45.75, BPSK31-125. Only TCI is used for its operation. To connect logs, each module has built-in Telnet Server.

- "Macros Server". Buttons panels for transmitting macros in CW, DIGI, SSB via TCI.

- "Remote Audio & COM port:". Creates remote connections for audio streaming and COM ports.

- "Audio Mixer:" Creates any audio stream connections. Split stereo to mono and vice versa. Separate volume controls for each audio stream.

- "Audio Scope:" Creates windows for monitoring the spectrum and waveform of audio signals.

- “PA Control”. Power amplifier control. Uses data from client TCI or RIG Sync. Generates a PTT signal. Works with amplifiers that support the KENWOOD, ICOM, ELECRAFT protocol.

- "SWR Meter:" Plots SWR over a frequency range. For transceivers with TCI interface.

- "OTRSP:" Transceiver Sound Management via OTRSP Protocol.

- "TCI Client:" Creates a connection to the transceiver via the TCI interface. Has a built-in "FocusHelper" function for working with contest logs. The "CAT" section contains a port separator for programs and devices via COM ports.

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source

Copyright © UT4LW-2021 All Rights Reserved.


Creating a "truncated" profiles

ProFile Manager ››

To save the current settings for their quick restoration in the future, the ExpertSDR2 program uses a system of profiles. The profile file includes all settings for all systems in the program. This is not always convenient, since it often becomes necessary to save and restore only a part of the settings, for example, only the settings of virtual audio cables. Let's consider this option as an example.

After all settings are entered into the ExpertSDR2 program, create a profile with the name, for example, "vac_digi":

Then we launch the SDC program and in the first tab open this file with the [File 1] button:

After opening the file, we will see the profile tree, where we look for VAC settings and check the boxes in each VAC-related branch, or check the boxes on the main branches:

If we do not want to save some settings, for example, delay settings, then the checkboxes must be removed in the corresponding branches. After that, press the [Create] button - a "tree" of the future profile is created, press the [Save] button and write the name of the future file, or select the same:

Thus, we get a "shortened" profile, in which only the settings for audio cables will be registered.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Create a profile from the two existing profiles

ProFile Manager ››

Based on the two available profiles, a third can be created with the selected settings. For example, from a new profile, you need to select the settings for the size of the program window and add the settings for the audio cables created in paragraph 1.1.

Create a new profile with the name, for example, "size_vac", open it in the SDC program with the [File 1] button, open another profile ("vac_digi") with the [File 2] button:

Using the [Create] button, create a new profile tree and save it. Thus, we took from the full profile only the settings for the program window sizes, added the settings for audio cables to them and got a combined profile.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Обновление профиля (As File2)

ProFile Manager ››

In the work, situations will often be created when it will be necessary to change an already created "shortened" profile. In order not to remember what settings are saved in it, there is a possibility of quick placement of marks for those settings that are in the [File 2] profile. For this, a new profile is created, it is opened in the SDC program with the [File 1] button, with the [File 2] button, the previously created shortened profile is opened and the [As File 2] button is pressed. As a result, the [File 1] profile will be marked for those settings that are in the [File 2] profile:

Then we press the button [Create], then save the profile button [Save].

Created with the Personal Edition of HelpNDoc: Free EPub producer


Update Profile (Use as template)

ProFile Manager ››

This is an option to update a shortened profile when its old file is used as a sample. Open a new profile, open an old profile, check the "Use as a template" checkbox, press the [Create] button, then save. This method differs from the previous one in that if the original profile for some reason does not contain the settings that are in the "sample", they will be added from it when creating a new profile.

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Working with profiles 5MContest program

ProFile Manager ››

To switch the program to work in the profiles 5MContest program must specify it in the drop-down menu «For Program:»

Work with the program is no different from the profiles 5MContest with ExpertSDR2 program profiles.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


COM-Spider

Created with the Personal Edition of HelpNDoc: Create help files for the Qt Help Framework


Creating connections COM ports

COM-Spider ››

«SDC» program will create all kinds of connections COM ports, both physical and virtual. For example, there is such task:

There is a real COM port COM3, which is connected to an amplifier OM-2500. There is a virtual port SOM10 (from a pair COM9-SOM10), which is connected to the system port COM9 CAT transceiver SunSDR2. There SOM12 port (from a pair SOM11-SOM12), which is connected to the port SOM11 contests log. The aim is to link these three systems into one. To the state of the radio broadcast settings in power, and in the log.

The data to be transmitted from the transceiver to the amplifier, and vice versa, and a log of the transceiver, and back. Status DTR / RTS lines (PTT control and CW) must be transmitted only on the log in the transceiver.

In the «SDC» program opens the "COM Spider" tab, click [+] open three ports: A, B, C. We put a mark that says that these ports will be used. Specify the names of ports, respectively, COM11, COM9, COM3, install (if necessary) the properties of the port (Baud rate, Data bits ...). In the "Send Data to" Spend SOM11 to put the check in front of the port SOM9. This indicates that the log data will be transmitted from only ExpertSDR2. In the "Send DTR / RTS to" port SOM11 note daw port SOM9 - this indicates that the log will transmit PTT / CW control only ExpertSDR2 program.

In the "Send Data to" put the port SOM10 jackdaws for SOM11 and COM3 ports - it says that the data will be transmitted in the log, and power.

In the "Send Data to" put the check port COM3 port SOM9 - data from the amplifier will be transferred to ExpertSDR2.

It is necessary to press the [Start] button.

The work may have many variants port connections. Therefore introduced a system of profiles. Those. the current state of the connection, you can save in a profile. To do this, enter its name in the field near the [Add] button and press the [Add] button. After that, the profile name appears in the list:

To save changes to an existing profile, there is a button [Upd], for the removal of the profile - the button [X].

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


Connection COM port - Network - COM port

COM-Spider ››

Sometimes you need to create a connection to the COM ports located on different computers via a computer network. For example, our amplifier (OM-2500) turned out to be connected to another computer to the COM port COM3. To do this on a remote computer, you must install the program «SDC» and use the label "SDC Server" - is the server to create remote connections COM, audio ports and skimmers. In this embodiment, the connection will look like this:

On our computer in «SDC» program makes the following changes:

On the remote computer, run the program "SDC" and in the tab «Audio / COM Server", put the check «LAN-COM interface 1" indicating the COM port to which the amplifier is connected (in this case COM3), network port number (choose on their own, such as 7101) and press the [Start] button. The server is turned on and is waiting for the connection.

Attention! When choosing the type of port with TCP connections will appear field «Latency». This is the value you want to delay the transfer of the manipulation of lines RTS and DTR. The server will create a temporary buffer to withstand the time between switching states of these lines is the same as it was on the client side. Thus CW manipulation will be independent of changes in the data rate over the network. The worse the network, the more value «Latency» must be installed. Usually 50-200 ms.

Thus, we have put together two virtual ports of your computer to the real COM port on a remote computer through the network.

Ability to create a "network" connections COM ports can be used when working with two jobs in one transceiver SunSDR2 (PRO). CAT second receiver can be transmitted through the network to the second computer to connect to the log-program installed thereon.

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Port «as Server».

COM-Spider ››

If the port setting mark «as Server» is not set, the port will send a message to all the ports that are listed in the «Send data to» section. For example, if the port "B" received a request from the "A" port, then the answer will be sent to all.

If you set a mark «as Server», the port will send the answers to the port that sent the request. This port ( «as Server») allows for connection of multiple logs to a single CAT port transceiver.

Additionally, set the parameter «Timeout», which regulates the response time from the transceiver. Selected experimentally, the goal - to exclude requests a buffer overflow through to get a response from a slow COM port. In case of an overflow near a mark «as Server» appears «OVF!». You can connect a plurality of hardware devices, and magazines, which are a survey SAT transceiver ports.

Example of connection to a single port transceiver CAT two log programs:

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Field "Filter"

COM-Spider ››

To solve complicated situations sophisticated query / filter command is provided, coming on connections «COMSpider».

"True" Expressions. Lines that will be allowed into the port. For example: FA | FB means that only commands containing «FA» phrases, or «FB» will be passed through the port.

"False" Expressions. These phrases should start on the exclamation mark. For example: !FA |! FB means that commands that contain «FA» phrases or «FB» will NOT be passed to the port.

Expressions can be written in HEX format, for example, &FDFE - to pass on the command port containing FD FE bytes.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


RIG Sync

В программу SDC внедрена система синхронизации трансиверов (приемников) по частотам VFO, видам модуляции, сплит, и другим параметрам. Работают два независимых канала синхронизации, каждый из которых может связан с соответствующим устройством, подключенным к OmniRig, или приемником, работающим под управленим программы ExpertSDR2.

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Synchronization protocols CAT using the COM ports.

RIG Sync ››

Consider the example of synchronizing transceiver TS-590 and SDR receiver that is running SDRuno program or any other program that supports CAT protocol.

As you can see, only one active channel synchronization (Sync Channel 1). It activated two «Rig Control» - one for the TS-590, the second - for SDR receiver.

Device Name - the device name (informative).

RIG Protocol - the drop-down list, select the device.

Port - the drop-down list, select the COM port to which the device is attached.

Poll Time - the time between surveys port.

Timeout - waiting for the response.

Poll cmd - producing device interrogation.

Offset - frequency offset. For example, if you specify 1000, then 1 kHz will be added to the frequency of this device.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Synchronization protocols CAT with ports open to COM Spider

RIG Sync ››

What if the COM port for the primary transceiver (receiver) is already connected to the hardware log. To do this, there are two modes - "listening" mode and with an independent survey of the transceiver port.

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


"listening" mode

RIG Sync ›› Synchronization protocols CAT with ports open to COM Spider ››

In this case, data on the frequency and status main trasnivera "listen" from the radio exchange - a log. To do this, the COM port hardware and log COM port transceiver connected to the tab COM Spider:

Tab settings RigSync such:

You must specify the port of the tab «COM Spider» drop-down «Port» list. If the device was not on the menu, then click the update list and get it:

Sync this installation will occur only when connected to the hardware log, because His program will query the COM port of the main transceiver, the program «RigSync» will "listen" this exchange and transfer it to the second device (SDRuno). In addition, the devices sync speed will depend on the speed survey aparatno magazine.

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Polling mode transceiver main port

RIG Sync ›› Synchronization protocols CAT with ports open to COM Spider ››

For this mode, the log connection is not necessary, because program «RigSync» itself will query the COM port of the main transceiver. For this purpose, it is transferred to port «as Server» mode:

and «RigSync» include a survey of the port:

In this mode, the main port of the port transceiver will in turn respond to requests from the hardware log, and synchronization of the program. Herself Sync will work quickly (the speed is set in the Poll Time) and will not be interrupted if you disable the hardware log.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Using client OmniRig

RIG Sync ››

If logger operates through OmniRig, it is possible to greatly simplify the synchronization. You do not need to use the «COM Spider» enough in «RigSync» tab, specify the device and synchronized to put a checkbox «OmniRig»:

In this case, the synchronization will be run at the main polling transceiver port program «OmniRig».

Created with the Personal Edition of HelpNDoc: Easily create Qt Help files


Synchronization ExpertSDR2 Device

RIG Sync ›› ExpertSDR2 Server ››

To synchronize devices running ExpertSDR2 program, provided «ExpertSDR2 Server». For example, in order to synchronize the transceiver SunSDR2 and Colibri receiver enough in the tab «RigSync» tick «ExpertSDR2 Server» and specify the port that will connect these devices. In the settings it is necessary to guide-ExpertSDR2 this port and press the «Connect»:

Created with the Personal Edition of HelpNDoc: Create cross-platform Qt Help files


ExpertSDR2 Device Synchronization with other transceivers / receivers

RIG Sync ›› ExpertSDR2 Server ››

To synchronize with a transceiver that works with the log through OmniRig enough to add a mark «OmniRig»:

Similarly, we can arrange sync with transceivers operating through the COM ports in the above modes (wiretap, direct questioning, etc ... ..).

For example, synchronization Colibri receiver with a transceiver TS-590 Direct survey ports and connecting hardware magazine through the COM port:

Synchronizing two Colibri receivers with two TS-590 for the SO2R mode:

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


Possible synchronization devices

RIG Sync ››

Problem: need to synchronize the transceiver TS-590 with SDR receiver to work with the program in 5MContest SO2V mode. At the same time during the transmission of VFOA, synchronization log should work with SDR receiver to go on the spot to bendmape for VFOb. Those. TS-590 transceiver operates at CQ, but this time we listen VFOb station. To do this, and TS-590 and SDR are connected to ports COM Spider in «as Server» mode:

To survey, going from log not knocked synchronization, the receiver port set filter:

! FR | FT | FA;!! | FB;! | IF!;

This means that the receiver will not respond to inquiries and log commands except FB000XXXX team ;, which will set the frequency on the receiver VFOB log.

In the tab «RigSync» settings are as follows:

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Synchronization FT-1000+ExpertSDR2+N1MM

RIG Sync ››

In the COM Spider window, we enter two ports - one is connected to N1MM, the second - to the transceiver FT-1000.

The transceiver port is declared as a server. It will alternately respond to requests from the N1MM program and the synchronization program.

In the RigSync window, enter two synchronization devices:

ESDR - Specify the name of the TCI client and the number of the receiver.

FT-1000 - specify the port from the COM Spider tab.

It may be necessary to choose the waiting time for the transceiver in the windows of COM Spider and RIG Sync.

In the settings of the SDC program, we specify automatic start of the programs COM Spider and RIG Sync:

Created with the Personal Edition of HelpNDoc: Free help authoring environment


Adding your ini files to your devices

RIG Sync ››

INI files are written to the "Rigs" folder. when installing the program.

If you want to add your files, you can add their user folder "C:\User\...user_name...\LwSoft\Rigs\". Files added in this way will be shown in the list of devices with the "User:

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


RIG-Emulator

RIG Sync ››

In the version of the SDC in section 12.20 RigSync a new port type - "RIG-Emulator". This port is for connecting a program. For example, so looks sync K3 transceiver, panorama NaP3, JTDX programs and log LogHX program.

This will completely eliminate the use of various splitters and OmniRig COM ports.

What are the advantages of this approach to synchronization (via the new SDC - RIGSync) compared with any COM-splitters, or COM Spider:

- we are not limited in the number of plug-ins. All of them are connected to its ports RIGSync and do not interfere with each other.

- we are not limited in the number of devices, they are also connected each to its port and do not interfere with each other.

- we can use devices that support different SAT protocol processing. For example, instead of K3 can connect Icom and specify the protocol. For COM-splitter is essentially an impossible situation. The same NaP3 does not support synchronization with Ike, but it can easily make SDC-RIGSync, because he does not care what the transceiver is connected to it - you simply choose from the list of synchronized devices.

- synchronized parameters, e.g., VFO frequency, protected from the "bumpiness" (when the frequency is changed, it can jump up / down) is often observed when using COM splitters.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Synchronization examples

RIG Sync ››

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Transceiver + ColibriNano

RIG Sync ›› Synchronization examples ››

1. Connect SDC to Colibri:

2. In Rig Sync, connect Rig Control to Colibri and to the transceiver, for example, TS-590:

3. Check the operation of synchronization.

4. Add to the synchronization the program contest log. To do this, we will need a pair of COM ports, for example, COM5-COM6. In Rig Sync, we specify the COM5, in the log program - COM6. N1MM is connected to RIG-SYNC, as the TS-480 transceiver.

You can add here any number of programs and devices. For example:

Created with the Personal Edition of HelpNDoc: Free Qt Help documentation generator


TCI

Expert Electronics developed and implemented a new protocol in ExpertSDR2 software for managing and receiving data from the transceiver. It allows you to realize the transmission and reception of data over one connection, which will greatly simplify the configuration of external software and increase the reliability of the complex as a whole.

The connection via the TCI protocol is described in the "TCI" tab.

To add / remove a TCI client, use the +/- buttons. If you plan to work with two or more transceivers (receivers), create an appropriate number of TCI clients.

Specify the name of the connection (it will be used later in other sections of the SDC), address and port.

!! The "Connect" button should only be used to check the connection to the transceiver. Leaving it pressed is not necessary

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


CallBack Mode

TCI ››

In order for the SDC program to connect to the TCI transceiver server, it is necessary that the first program somehow learn that the second program is ready for connection.

There are two ways for this:

- The SDC program constantly checks the presence of the TCI server in the transceiver program.

- The transceiver program informs the SDC program that it is turned on and the SDC program starts connecting to the TCI server of the transceiver.

The first option works, but a permanent scan of the port can be interpreted by the protection system as malicious, with subsequent blocking.

Therefore, for a more reliable connection with the transceiver program, a callback mode is introduced.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Callback TCP-Connect mode

TCI ›› CallBack Mode ››

How it works:

When connected to the port specified in the "Port", the TCI client from the SDC program starts an automatic connection to the TCI server of the transceiver program.

To do this, in the ExpertSDR2 program, you must specify a dummy client that will connect to the "Callback" port, for example:

When the ExpertSDR2 program is launched, its connection to the "Callback" port of the SDC program will be created. This will signal that the transceiver program is on and you can start the connection with the TCI server.

After starting the SDC program, it will attempt to connect to the TCI server. If it is not successful, the SDC program will go into CallBack mode and wait for connection to the CallBack port.

The transceiver program starts. It automatically connects to the SDC CallBack port. If the connection is successful, the procedure for connecting to the TCI server is started in the SDC program.

After turning off the transceiver program, the SDC will retry the connection attempt to the TCI server. If it is not successful, the SDC will again switch to CallBack mode.

Created with the Personal Edition of HelpNDoc: Create cross-platform Qt Help files


Callback UCP-Connect mode

TCI ›› CallBack Mode ››

The "Callback UDP-Connect Mode" system is better suited for the new Expertsdr3 program.

After unsuccessful attempts to connect to the TCI, the SDC-TCI Client transceiver server switches to the alert standby mode over the UDP port specified in the setting.

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


CAT Port Emulator

TCI ››

CAT Port Emulator is a system that allows you to create CAT ports to connect log programs or devices to them. CAT ports created by it fully emulate the operation of the CAT port of the transceiver program. You can create multiple ports to connect programs or devices simultaneously.

To make the CAT Port Emulator available, check "CAT Port Emulator." Press the + button to add a port.

After adding the port, specify its type: CAT, PTT, Foot Switch. Select the destination to which the port will be connected, specify the COM name of the port.

Types of ports:

CAT - Creates a COM port that operates on the TS-480 transceiver protocol. On the same port, you can specify a PTT pin (DTR/RTS).

PTT - to connect external PTT sources from other programs or devices.

Foot - to connect the pedal.

In CAT mode, PTT mode and SSB modulation mode, a VAC input (virtual audio cable) will be connected to the transmitter. In mode Foot - microphone.

To enter the port COM parameters, select the pin for PTT and CW Keying, press the gear next to the port name:

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


CAT command

TCI ›› CAT Port Emulator ››

To execute a command in TCI format, you can use the TC command: command;

where command is the text that will be sent to the TCI server of the transceiver. If the TCI command format contains a receiver number, use the argument "% 1" instead, which will indicate the receiver number to which the CAT program is connected.

For example, you can send CW macros from the N1MM program:

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


VAC Emulator

TCI ››

To connect digital programs that do not have the TCI interface, you can use the VAC - Emulator.

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


Focus Helper

TCI ››

The Focus Helper system is located in the TCI section and works directly with the TCI client. To make the system available, check "Focus Helper"

It is designed to automatically return the focus to the QSO input window of the log program.

Synchronize work with TCP Server — synchronize the launch of this system with a connection to the Telnet Server (see the Telnet Server tab).

Also SDC Windows - return focus to the log window if the focus is transferred to some SDC.

Created with the Personal Edition of HelpNDoc: Create cross-platform Qt Help files


N1MM

TCI ›› Focus Helper ››

To work with N1MM.

It indicates the broadcast port in the N1MM program that broadcasts the program data. His number is listed here:

To monitor the correctness of the connection with the N1MM, check "Log". From the program N1MM should periodically receive the following information:

Delay (ms) - indicates the delay in transferring the focus to the N1MM log window.

If the information from the N1MM log is received, the message "Ok" lights up:

Created with the Personal Edition of HelpNDoc: Qt Help documentation made easy


Window Name

TCI ›› Focus Helper ››

To work the "Focus Helper" system with other programs, select the type of work: Window Name.

Window Title for VFOA, VFOB - specifies the title of the QSO input window for VFOA, VFOB (if there is one). You can enter the beginning of its name, for example, "Radio 1".

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


CW Key Helper

TCI ››

CW KEY HELPER solves two problems with the telegraph key:

1. Creating a telegraph signal delay after issuing a PTT signal. This is especially true for the operation of the transceiver with the amplifier.

2. Ability to work in Breakin mode for the 2nd receiver.

The key manipulation signals are accepted through the COM port, processed in the SDC-CW KEY HELPER program and are served in the ExpertSDR2 program. Scheme of work:

The lack of such a scheme is that some potential will be present on the key housing. Therefore, it is desirable to introduce photocoupler into the scheme.

Created with the Personal Edition of HelpNDoc: Easily create Help documents


SKM Server

The SDC program has a built-in skimmer-server for connecting and working with transceivers and receivers running under ExpertSDR2. Connection and management of skimmers occurs in an automatic mode, synchronous with the operation of receivers.

Created with the Personal Edition of HelpNDoc: Free Qt Help documentation generator


Main Window

SKM Server ››

Control Panel:

[Start SKM Server] – To manually start all skimmers. When working with Telnet Server, you do not need to click this button; This will happen automatically.

[+] [-] –Add, remove skimmer.

Profile: Select, delete, overwrite, create a profile.

Only Test - spots will be issued only for those stations that transmit the words TEST, WSEM.

Only Test Abbr - spots will be issued only for those stations that transmit a special test abbreviation. You can specify several options separated by commas, semicolons, or spaces. For example, by specifying "MM", you will receive spots only for those stations that add the letters MM to the call: CQ MM ..., TEST MM ...

Add Sign Test - additional words indicating that the station is working in the test. For example, not all stations working in the test transmit the word TEST, but only transmit the abbreviation of the test.

For example, the station transmits: UT4LW UT4LW LZ. In this case, the skimmer must know that LZ is the same as the word TEST. To do this, enter LZ in the Add Sign Test field.

------

-Button clear decoded call sign history.

- Opens the Global Setup of SKM Server.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Global Setup

SKM Server ››

The SKM Server global settings window is divided into four tabs.

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


Master.dta/Verify

SKM Server ›› Global Setup ››

Master.DTA File Location: set the location and name of the file with the callsign.

Internet Download Page: set the page on the Internet where the file is available for download.

Add File: set an additional file with callsigns. This is necessary for fast decoding of callsigns that are not included in Master.dta. You can create such a file, and edit it.

Black List: set the file with the list of callsigns that will not be decoded by the skimmer is indicated. You can create such a file, and edit it.

Special Calls Format: Specifies the format of special callsigns that are one-time in nature and are not included in the Master.dta files. For example, in the competition for temporary participants, temporary call signs will be issued. Their format is necessary to enter and specify the number of decoding before the spotting of the spot. For example, at face-to-face competitions, temporary callsigns will be issued in the format R31A / P ... R37Z / P. These call signs are not in the Master.DTA directory, but their verification can be accelerated by specifying the format of these callsigns. In this case, the format looks like this:

R3 [1-7]? / P, where

[1-7] - a number from 1 to 7 is possible.

? - any sign.

It would be more correct to indicate this format:

R3[1-7][A-Z]/P

Filter Calls Format: introduce a regular expression to Drop callsigns that meet the filter condition. For example, the expression:

(R[\w,/]{2,})|(U[A-I][\w,/]{2,})

will select only the Russian call sign.

If the format is entered incorrectly, an error message will appear:

Check Callsign: to check the callsign in Master.dta File, Add File and Special Calls Format. Enter the call and click "Check Call" window. A window appears:

Section «Setup». Verify Call. Here you configure the validation of the call sign:

Strong signal and Call in DTA – For powerful signals and callsigns, which are included in the Master.DTA directory. If set to 1, then it is enough to decode this one once to send a spot.

Weak signal and Call in DTA – For weak signals and callsigns, which are included in the Master.DTA directory.

Call not in DTA – For stations that are not included in the Master.DTA directory.

For example, if the last item is set to 3, then only after a three-time decoding of the callsign of the Master.DTA not listed in the directory will a spot be generated.

Without CQ (0-newer) – Indicates the number of repeated decodings to send a spot to stations that do not indicate the abbreviation CQ, TEST, WSEM in the call.

Minimum signal/noise level for spotting (dB) - The minimum volume of the station is to issue a spot. For example, if you do not want to have SPOT for stations weaker than 12 dB, specify 12. To disable this feature, enter -10.

Resending spot after (secs) - repeat the spot issue after N seconds.

Detect receiver Setup. Installations of the detector of a telegraph signal.

Resending spot after (secs) - repeat the spot issue after N seconds.

Resending spot after pause: - повторить выдачу спота, если в течении N секунд станция

Created with the Personal Edition of HelpNDoc: Free Qt Help documentation generator


Files "add_dta.txt" and "blacklist.txt"

SKM Server ›› Global Setup ›› Master.dta/Verify ››

If the call is not in the file "Master.DTA", you can make it in "add_dta.txt" file.

You can create such a file with a text editor and enter it using the "Set File" button. You can press the record button on the file. If the filename is not specified, "add_dta.txt" file will be automatically created in the user directory:

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Band Plan

SKM Server ›› Global Setup ››

Band Plan – Frequency plan for ranges. The table shows the frequency intervals in which the CW stations will be decoded and the spots generated.

It is possible to create a set of frequency plans and save them to profiles.

Sun each line, you can specify the modulation type. ALL - all kinds, CW, RTTY, PSK.

Band Plan can be prepared for all types of modulation, for example:

To select areas in which you do not need to search for stations, a modulation type has been developed - BSF (Band Stop Filter). For example, the 7th line indicates the section 3573 - 3577, where stations with other types of modulation are constantly operating. Press the [BSF] button to activate these filters.

- a button to add a row, delete a row, enabled BSF, creat Default band plan, to apply the changes made.

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


Functions

SKM Server ›› Global Setup ››

Send RST 599 to Panorama.

PileUp Width, kHz -width of the file in which the search for reports is going on 599.

Marker New RST - display the last report marker.

Marker Old RTS - display the marker of the previous report.

Select a marker type:

- ASCII - ASCII character code to be displayed as a token.

- If the value of the ASCII code is zero, you can specify a text expression for the marker.

Work with function 599 см. тут.

Auto CW Macros Speed ​​(TCI only): Enables automatic control of the CW transmission speed when tuning the transceiver to this station. It works only with transceivers working through the TCI protocol.

Default - speed by default.

Add technical information into Spot - add technical information in the comment to the spot. F - callsign found in the directory, the number of decodes, etc.

Check the primacy of the Skimmer Spot - check the primacy of the skimmer spot with respect to other spotters. If the skimmer has defined the callsign earlier than all the other spotters, then the comment to the spot will start with two "!!" signs.

Start Skimmers Only in CW Mode: включать скиммер только в случае, если выбран вид модуляции "CW".

Color Callsing in BandMap: Enable the function of coloring call signs on BandMap. She will work with logs that transmit to the SDC program information about the type of callsign: 5MContest, LogHX, N1MM. If such a log is connected, then the following icons will appear on BandMap:

Decoder Setup. Telegraph Detector Settings.

Decode Russian letters: - Enable decoding of Russian letters.

Remove noise Letters (E, I) - delete characters decoded from the noise.

Active decoder Filter Width - The width of the decoder filter, which displays the text in the decoder window.

Created with the Personal Edition of HelpNDoc: Free help authoring tool


Misc

SKM Server ›› Global Setup ››

TCP Broadcast Data is a server for sending texts of active decoders of skimmers.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Window of Skimmer

SKM Server ››

Start –to start the skimmer manually. When working with the Telnet Server, the skimmer will start automatically.

Status – skimmer status window.

1 - the number of decoded callsigns.

42 – the number of active decoders at a given time.

192kHz / Auto - IQ channel bandwidth - 192 kHz. Auto detect enabled.

TCI / Receiver 1 - IQ channel source.

- Button to open the skimmer settings window.

To the right of the waterfall there is a frequency scale with a marker for the current tuning. Under the waterfall there is a window with decoded text on the tuning frequency.

Calling the waterfall settings is made by pressing the right mouse button on the waterfall:

Fore Color, Back color - the colors of the waterfall.

Contrast - the contrast of the waterfall.

Waterfall Speed ​​- the speed of drawing a waterfall.

Vertical size - the size of one step vertical.

Horizontal size - the size of one step of the brush horizontally.

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Selecting the type of modulation

SKM Server ››

SDC Skimmer decodes and spot the station with views modulation CW, RTTY, PSK

If the "Start Skimmer Only Mode of Transceiver" checkbox is not checked in the skimmer settings:

you can control the modulation directly from the decoder window:

You can also control the type of modulation from the "ActiSpot" window:

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


Skimmer Setup

SKM Server ››

In External Window - When the skimmer is started, its window will be displayed separately from the main window of the SDC - for fans to observe the movement of CW signals.

Control Type – Selection of the method for controlling and transmitting the IQ stream.

TCI Only – Control and transmission of the IQ flow will be carried out via the TCI interface.

Audio + TCI – The control will be performed via the TCI interface, and the IQ stream will be transmitted via the audio device / VAC cable.

The first method is more stable, does not require any audio cables and their settings.

The second method will reduce the load on the CPU, but will depend on the VAC cables, and the entire IQ stream flow setting.

TCI Client – The TCI client is specified, which is described in the TCI tab of the SDC program.

Receiver – Indicates the number of the receiver to which this skimmer is connected.

If the Audio + TCI control type is selected, the type of the sound driver and the sound device through which the IQ flow will be delivered are indicated.

Start Skimmer Only Mode of Transceiver: If you set this jackdaw, the skimmer will be included in the job only if the modulation according to the views of the skimmer and the transceiver. For example, type CW Skimmer will only work if the transceiver selected view modelyatsii "CW"

Signal/Noise stations detect: S/N ratio at which the decoder will be switched. Delay: - Delayed decoder launch. This will reduce the effect of interference, but can distort the first transmission booth.

Offset for spor frequency. To correct spot frequency select mode, and enter the value:

Spotter Name - specifies the name of the spot, which will be used when generating spots.

Creeping Lines – Display running lines of decoders in the skimmer window. See...

TCP Server - each skimmer can be declared a server, to which third-party programs for receiving spots will be connected. Specifies the port.

External Text Decoder Window

Settings for the window in which the decoded text is displayed.

Enable Click Function: If this function is enabled, then when clicking on the callsign in the decoding window, a string containing information about the click will be transferred to the contest log, for example: To ALL de SKIMMER <1353Z> : Clicked on "IZ2QDC" at 14013.32

Separate windows for VFOA and VFOB: Two decoding windows will be announced: separate for each VFO:

Decode only VFOA: If one decoder window is declared, only text from the VFOA will be output to it. If this checkbox is not set, then when switching the active VFOA / VFOB, the corresponding VFO text will be displayed in the window.

IQ - Band Plan control: Displays a window that displays the correspondence of the frequency plan and the width of the IQ stream processed by the skimmer:

Sample Rate: Set the width of the IQ channel.

Auto - available if the source type is set to "TCI Only". If set to "Auto", then the bandwidth will be set based on the receiver's pan band.

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Spectrum via UDP

SKM Server ›› Skimmer Setup ››

SDC-Skimmer provides the ability to output a data stream in the format proposed by the N1MM via a UDP connection.

Spectrum via UDP - Enables the sending of UDP packets.

Host - the recipient's address.

Port - UDP port number of the connection.

Speed ​​- the frequency of issuing a UDP packet. The higher the value, the higher the speed.

Name - the name for the title of the panorama window in the program that receives UDP data.

Pile-Up Mode - for expeditions. Only a portion of the spectrum will be transmitted, starting from the VFOA frequency - 1 kHz to the border specified in the "kHz Up" field.null

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Decoder window

SKM Server ››

By default, decoder windows are located in the skimmer window under the waterfall. You can detach them from the skimmer window and place them in any convenient place on the screen. To do this, click the mouse on the letter VFO (A :, B :) and move the window to another location:

To return the decoder window to the skimmer window, take it by the VFO letter and move it to the skimmer window.

The decoded text will be displayed in the decoder window. The callsigns will be highlighted in color. The last decoded call sign will be displayed near the decoder letter (S51DX). To open the decoder window settings, click the right mouse button:

In the settings window you can set basic colors, transparency, choose a font, and set up display of additional elements of the decoder window:

Underline Call - Underline font for Callsign.

Mode Control - displays the type of modulation. If the settings are not the skimmer ustanovdlena daw "Start Skimmer Only of Mode Transceiver", something straight out of the window of the decoder, you can change the appearance of the skimmer modulation (CW, RTYY, BPSK):

Speed CW - the speed of the station operation during callsign transmission will be displayed.

Age of Spot - Turn on the clock that shows the time of the spot's life.

Current Level - Display the current volume of the station operating at this frequency

CQ Call Level - Displays the station volume during call sign transmission.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Click Functions

SKM Server ›› Decoder window ››

If click-functions are enabled in the skimmer's setting and your contest log supports the exchange with the skimmer, such skimmer-commands will be supported:

1. A click on the callsign will translate to the log the command: To ALL de SKIMMER <1353Z>: Clicked on "S51DX" at 14013.32

2. Highlighting text in the decoder window will copy this text into the text clipboard. Then by pressing Ctrl + V you can paste this text into any other program.

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


IQ/Band Plan control

SKM Server ››

This window displays the correspondence between the frequency plan of the range and the width of the IQ stream, which is processed by the skimmer.

1 - Skimmer number.

2 - Thermometer showing the number of working decoders.

3 - IQ stream processed by a skimmer.

4 - Frequency plan range.

This window allows you to ensure that the entire CW range is processed. If the frequency plan goes beyond the IQ flow, the red clip will flash.

The frequency plan is set in the global settings of the SKM-Server.

The width of the IQ stream depends on several settings:

1. From the Sample Rate value in the transceiver settings:

2. From the Sample Rate value in the Skimmer settings:

3. From the position of the central frequency of the IQ stream relative to the frequency plan. In the case when the center will be greatly displaced, you will see the following picture:

This suggests that the IQ flow band is shifted lower in frequency relative to the frequency plan. In the transceiver program, move the center frequency higher, you can do it with the right mouse button.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Function 599

SKM Server ››

Function 599 is designed to aid in working with DX-Up. She also can be used as a helper for the most DX.

She turned on by pressing the "599" in ActiSpot window or in the global settings window skimmer.

To run 599 must turn on "Split". If the function is activated, svtodiod in the button "599" in the window "ActiSpot" starts flashing.

If you want 599 to turn on without split, remove the mark:

The skimmer box on the frequency scale will appear red clip that shows the boundaries of the function "599". The blue marker shows VFOA frequency red - VFOB.

Within these boundaries will display all decoded callsigns. But the spots for them will not be issued. In order to enable the issuance of spots for such stations must enable the checkbox "Spotting only Pile-Up" in the global settings window. In this mode, the spots for stations outside the Pile-Up boundaries will not be issued.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Information window callsign.

SKM Server ››

Click the right mouse button on pozіvnomu in the skimmer boxes, Telnet Server - BandMap, in the skimmer box decoder cause the information window callsign:

In DTA File: Not Found - a message that this callsign in Master.DTA list found.

Buttons "Add Callsign into Add DTA File" and "Add Callsign into BlackList File" - to add / remove a callsign from the corresponding file. For example, if the call BlackList will be present in the list, you will be prompted to remove it from that file:

Callsign, which is present in the BlackList file will be displayed with strikethrough text. In the skimmer, in the decoder box, he will appear, but the spot will not be issued for it.

If the files "Add File", or "Black List" in global SETUP skimmers are not specified, they will be automatically created with the name "add_dta.txt", or "blacklist.txt".

Created with the Personal Edition of HelpNDoc: Free EPub producer


Skimmer control via Telnet

SKM Server ››

After registering the SDC program , you will be able to control skimmers through the TCP Server built into each skimmer:

Using a special protocol developed by VE3NEA , commands are transmitted from the receiver to the skimmer, indicating the center frequency of the IQ stream and the VFOA settings.

ExpertSDR2, SmartSDR, Afedri programs work via TCP Server.

R5AU video connected to SmartSDR (Flex-6700).

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Source VFO

SKM Server ›› Skimmer control via Telnet ››

The SDC skimmer can obtain VFO frequency data in two ways:

1. Telnet Server - VFOA frequency data is taken from the same server through which the skimmer is controlled.

2. RigSync Channel - the receiver tuning frequency is taken from the synchronization section.

The Rigsync Channel method is interesting because you can use two window decoders - for VFOA, and for VFOB.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Skimmer control via RIG Sync

SKM Server ››

After registering the SDC program , you will be able to control skimmers through the SDC subsystem - RIG Sync. The current VFOA / VFOB frequency data will be taken from the RIG Sync tab:

In the RIG Sync contribution, you must set up synchronization in any way. After that In the skimmer, you specify the synchronization channel, VFO, and, if necessary, the offset frequency.

In this way, you can connect the skimmer to any receiver program that has an IQ channel output and a CAT system.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Manual control of the skimmer

SKM Server ››

After registering the program SDC You can manage skimmers using manual input center frequency. Data on VFOA / VFOB current frequency decoders will be taken from the RIG Sync tab:

You must enter the center frequency of the IQ stream in the "LO" field. The entered value will be accepted only after pressing the Enter key, or when the cursor leaves the "LO" field.

If you need to control decoders, then in the RIG Sync tab you must configure the synchronization in any way. After that In the skimmer, you specify the synchronization channel.

In this way, you can connect the skimmer to any receiver program that has an IQ channel output and a CAT system.

Created with the Personal Edition of HelpNDoc: Easily create Qt Help files


Creeping Lines

SKM Server ››

Creeping lines of decoders are displayed to the right of the callsign panel. In order to open the creeping lines section, use special splitters:

Choose one of the modes:

Off - the creeping lines display mode is disabled.

Verifued Call Only - only lines for verified callsigns will be displayed.

All Station - strings for all decoders will be displayed.

Do not forget that you can change the vertical scale by holding and moving the right mouse button along the frequency scale:

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


599 in Creeping Lines

SKM Server ›› Creeping Lines ››

If the 599 function is enabled, then the string in which the word "599" will be found will be marked:

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


DIGI Server

In version 14.01, Digi Server is entered into the SDC program. This is a set of modems for receiving and transmitting signals in the modulation of RTTY, BPSK.

Modems work only through the TCI interface and do not require audio connections.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Setup Modem

DIGI Server ››

To add a modem, click "+". To configure it, click the button with the gear.

Modem Setup:

In External Window - When you start the modem, display it in a separate window.

Stays on top - Show window in the foreground.

Show AFC Panel - where the AFC control panel will be displayed in the SDC window, or in an external window.

Show TX Panel - where the TX control panel will be displayed in the SDC window, or in an external window.

Show Log Panel - Display the log window in an external window.

TCI Client - the TCI client to which the modem will be connected.

Receiver Channel - Receiver and VFO, to which the modem will be connected.

DEFAULT OFFSET - Offset of the receive band. Must match the setting of the transceiver. For instance:

TX Delay - signal transmit delay after PTT is turned on.

TX Level, dB - Adjusting the level of transmit signal in DB.

Spectr Scale - is a vertical spectrum scale. Linear, or logarithmic.

PSK AFC Method - AFC method.

FIR Method - precise phase tuning in a narrow range.

FIR + FFT Method - precise phase tuning with wider bandwidth capture.

FFT Method - Search station in a wide frequency band

Sync Width Waterfall with RX filter band - automatic synchronization of the width of the waterfall with the bandwidth in the transceiver.

Management of text box and spectrum height is performed by moving separators between them:

Created with the Personal Edition of HelpNDoc: Create help files for the Qt Help Framework


Setting the RTTY transmit signal

DIGI Server ›› Setup Modem ››

These settings will help you configure the RTTY transmitter signal.

Sharp Phase is a simple phase formator RTTY signal. Has high stability of peak levels. The disadvantage is a high level of interference in the near zone.

Soft Phase - is a shaper with a soft change in the signal phase.

Ramp - the number of samples during which the phase / amplitude change occurs.

Amplitude - is an amplitude method of forming a RTTY signal.

To reduce the level of interference, you can enable an additional filter:

Adjusting a narrow filter with a large order will significantly reduce the level of interference, but the level of useful output power will decrease.

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Waterfall

DIGI Server ››

1 - contrast.

2 - demodulator sensitivity threshold.

3 - signal level.

4 - sync arrow.

5 - Float of the receiver.

6 - Float of the transmitter.

If the synchronization of the width of the waterfall with the width of the receiver bandwidth is disabled, then positioning and width of the waterfall is performed using the mouse:

- Left button and move left / right - positioning the waterfall.

- Right button and move left / right - the width of the waterfall.

To quickly tune to a station, you can use a click on the waterfall, or the rotation of the mouse wheel.

Created with the Personal Edition of HelpNDoc: Qt Help documentation made easy


TCP Server

DIGI Server ››

To control the Modem from the log program, check the box "Use TCP Server"

The modem will start working only after connecting the log to the TCP server.

Created with the Personal Edition of HelpNDoc: Produce online help for Qt applications


Modem Management Protocol via TCP Server

DIGI Server ››

SET_CHANNEL | Channel Assignment for DIGI | Arguments
Type | Read/write | ARG1 - Receiver number (0 - RX1,1 - RX2) ARG2 - VFO number (0 - VFO A, 1 - VFO B) Arg3 - Title
Command and arguments | SET_CHANNEL: arg1, arg2, arg3;
Example | RX_CHAR: 0, 1, Radio 1;

RX_CHAR | Reading the received symbol | Arguments
Type | Read | Arg1 - Accepted Character Code Symbol (ASCII) arg2 - signal-to-noise ratio in dB Arg3 - Offset (Hz)
Command and arguments | RX_CHAR: arg1, arg2, arg3;
Example | RX_CHAR: 48,17,1503;

TX_CHAR | Reading the transmitted symbol | Arguments
Type | Read | Arg1 - Transmitted Character Code Symbol (ASCII)
Command and arguments | TX_CHAR: arg1;
Example | TX_CHAR: 48;

TX_EMPTY | Message Before transmit the last symbol in terminal mode | Arguments
Type | Read |
Command and arguments | TX_EMPTY;
Example | TX_EMPTY;

DIGI_MODE | Mode | Arguments
Type | Read/write | Arg1 – Mode : RTTY45; RTTY75; BPSK31; BPSK63; BPSK125;
Command and arguments | DIGI_MODE: arg1;
Example | DIGI_MODE: RTTY45; RTTY75; BPSK31; BPSK63; BPSK125;

TX_STATUS | Transmitting status | Arguments
Type | Read | Arg1 – 0 RX, 1 TX
Command and arguments | TX_STATUS: arg1;
Example | TX_STATUS: 1;

DX_TX | Correspondent: Start / ending transmission. | Arguments
Тип | Read | Arg1 – 1 start, 0 - end
Command and arguments | DX_TX:arg1;
Example | DX_TX: 1; DX_TX:0;

DIGI_MSG | Text for transmitted | Arguments
Type | Write | Arg1 - text for transmit TX turns on automatically with the issuance of TX_STATUS: 1;. After the transmit is completed - enters the reception with the issuance of TX_STATUS: 0;
Command and arguments | DIGI_MSG: arg1;
Example | DIGI_MSG: «CQ TEST»;

TX_STOP | Stop transmitted | Arguments
Type | Write | Stop transmit
Command and arguments | TX_STOP;
Example | TX_STOP;

AFC | Enable AFC | Arguments
Type | Read/write | Arg1 - 0 off, 1 On.
Command and arguments | AFC: arg1;
Example | AFC: 1;

NET | Set offset TX=RX | Arguments
Type | Read/write | Arg1 - 0 off, 1 On.
Command and arguments | NET: arg1;
Example | NET: 1;

OFFSET | Set offset | Arguments
Type | Read/write | Arg1 – Offset.
Command and arguments | OFFSET: arg1;
Example | OFFSET: 1600;

RX_SN | Reading offset | Arguments
Type | Read | Arg1 – Level dB.
Command and arguments | RX_SN: arg1;
Example | RX_SN: 15;

TERMINAL | Enable terminal | Arguments
Type | write | Arg1 - 0 off, 1 On.
Command and arguments | TERMINAL: arg1;
Example | TERMINAL: 1;

SET_TXDELAY | Set transmit delay | Arguments
Type | Read/write | Arg1 – delay, ms.
Command and arguments | SET_TXDELAY: arg1;
Example | SET_TXDELAY: 100;

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Пример работы DIGI Server с 5MContest

DIGI Server ››

See here .

Video

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Macros Server

The "Macro" tab is used to create panel windows for transferring macros via TCI connection. For each receiver, you can create its own panel. The panel may not have a screen form and work through its TCP server. WAV file names can be transmitted through this server for playback via TCI connection. For example,

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Panel sets

Macros Server ››

TCI Client - The TCI client is selected from the "TCI" tab.

Receiver - receiver number.

External Window - an external panel of function buttons will be created.

Stays on Top - the panel will be displayed in the foreground.

Min / Close Button - Display the minimization and closing buttons of the window.

Hook key F1-F12 - interception of F1-F12, ESC buttons if the focus is in another application. Windows only!

+ Ctrl - pressing the function keys on the keyboard must be performed together with the Ctrl coavish.

+ Shift - keystrokes on the keyboard must be performed in conjunction with the Shift coavish.

Use in CW - use an external window with the CW modulation view.

Use in DIGI - use an external window with the DIGI modulation view. You must specify through which modem (DIGI tab) macros will be transmitted.

Use in SSB - use external window with SSB modulation view.

Audio Level - the volume of playing WAV files.

Use TCP Server - the panel will have its own TCP server through which an external log program can control the transmit of audio files.

Created with the Personal Edition of HelpNDoc: Free EPub producer


External Window

Macros Server ››

An external window with functional buttons is displayed if the macro panel is active and "External Window" is specified in its settings.

CW - type of modulation. To move the window across the screen, press the left mouse button and move it.

WPM - CW baud rate.

Esc - the button to cancel the transfer.

Hook - intercepts F1-F12 and ESC button presses from other applications.

Slim - enable Slim mode.

F1-F12 - macro buttons.

Send - send the entered text.

Clear - clear the protocol of transmitted texts.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Slim

Macros Server ›› External Window ››

To enable this mode, check "Slim"

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Macros setup

Macros Server ››

To call the macro settings window, press the button:

Macro input window:

After making changes, click the "Apply" button.

Enter file names for SSB macros:

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Telnet server

This utility is used to combine the spots coming from different sources into one stream with its own server, which in turn is used to connect the logs to it. Consider, for example, the creation of a server for combining spots with two skimmers and RBN.

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Telnet Server

Telnet server ››

This is the server to which logs will be directly connected.

[Start] - the server start button. The button should be constantly pressed.

Icons of programs that have connected to the server will appear under the Start button.

Port: - port number of the server.

Log - to view the log exchange protocol.null

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Spots -> Panorama

Telnet server ››

The section is designed to control the process of spotting the panorama of the ExpertSDR2 program in conjunction with the work of the 5MContest log-log, or any other log that can control the operation of the skimmer.

New, Mult, Dupe - indicate which callsigns will be displayed on the panorama. To the right of them there are buttons that you can set the color to which these callsigns will be displayed. If the repeats (Dupe) are not marked, then these callsigns will automatically disappear from the panorama after communication with them.

The SDC-Telnet Server program itself determines the log, which it connected to. If the log program does not report the status of the callsign (Mult, New, ..Dupe), the blue arrow indicates that the spot color on the transceiver's pan will be selected "Defaul and Bypass Mode Color".

If a log that connects the spot type (5MContest, LogHX) is connected then the color of the callsign will be defined as follows:

To the right there is a row of buttons for sending messages in the system tray. For example, if there is a sound signal when a multiplier station appears and a message appears in the system tray, mark the speaker opposite to "Mult":

The upper button turns on / off all messages.

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


N1MM Log

Telnet server ›› Spots -> Panorama ››

SDC allows you to send spots from the N1MM program.

To do this, you must specify the address and port of the N1MM program server and check the N1MM checkbox:

Attention!!!

With version 10.68, the checkbox "N1MM" can not be removed. If the SDC does not receive parcels from the N1MM within 30 seconds, it will automatically switch to the color bypass mode. When the parcels from the N1MM appear, the program automatically switches to the color processing mode.

N1MM config:

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Add Windows

Telnet server ››

Connect and Start SKM Server - when you start the spotter, or when the log program is connected to the Telnet Server port, skimmers will be automatically connected and enabled from the SKM Server tab.

ActiSpot - a window in which the spots of your station are displayed (usually RBN cluster spots are used).

Use BandMap for RX1 - open the map window for the 1st receiver.

Use BandMap for RX2 - open the map window for the 2nd receiver.null

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Acti Spot

Telnet server ›› Add Windows ››

The Acti Spot window is designed to quickly visually monitor and control certain functions.

1 - the field where the spots of your station will be displayed. For example:

2 - Callsign for search. By default, the callsign specified in the spotter settings is searched. But you can assign the task to search for another call sign if you enter it in this field.

3 - Spotters connection status to Telten Server. In this case, they display three columns: an RBN server and two skimmers. The second skimmer is not active in this case.

4 - Tremometers, showing the activity of spotters. The more spots on it arrive, the faster the thermometer gauges run.

5 - Thermometers showing the number of working decoders in the corresponding skimmer.

6 - Quick access to the settings of the "Spots -> Panorama" window, allowing you to quickly control the flow of spot to the panorama. In this case, it is indicated that the panorama will display station multipliers, new stations on the band, just new stations, but repetitions will not be displayed.

7 - The speaker includes an audio alert about the appearance of the station. "599" - enables the "599" function for operation in Pile-Up, 5 - Pile-Up width in kHz.

8 - The field where the abbreviations of the test are entered. This field duplicates the "With Abbreviation Test Only" field in the SKM-Server window.

9 - Skimmer restart button. The decoded callsigns table will be cleared and spots will be issued without waiting for the end of the spot issue interval.

Controls added in new versions:

1. Quick-enable Checkbox / Skimmer (Cluster)

2. Fast change of the type of modulation of the skimmer.

3. Quick access to enable the "599" function.

1. Setting the minimum station volume threshold to issue a spot skimmers. Signal / noise ratio in DB. Default value = -10.

2. Enables automatic control of the CW transmission rate when adjusting the transceiver to this station. It works only with transceivers working through the TCI protocol.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Band Map

Telnet server ›› Add Windows ››

BandMap for RX1, RX2 – Bandmaps that display the state of the band near the tuning frequency.

If the transceiver is operating in SO2V mode, Band Map2 displays VFOB frequency data. In SO2R mode, Band Map 2 displays data for the second receiver.

You can click on the Band Band, or on a specific callsign.

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


Spot settings

Telnet server ››

to Srv - send spots to Telnet Server for distribution to customers.

to Pan - send spots to the panorama of the transceiver connected via the TCI port. If you check the checkbox, you can set the color for spots on the panorama:

Attention, if a log is connected, which informs the status of the callsign, then the color setting is ignored.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Spot Manager Settings

Profile: - Profile, which will be loaded when connecting the log, which does not correspond to the statuses of callsigns.

– Delete the selected profile.

- Overwrite the selected profile.

- Enter the name of the profile and save it.

Special profile For 5MContest - specifies the profile that will be loaded when connecting to the 5MContest contest.

[Start Spotters] – Manual start of all spotters, which are marked with jackdaws. The button is "pressed" automatically when the log is connected to "Telnet Server".

[ +] – Add a spotter window to the right.

[ -] – Remove the far right window of the spotter.

Auto Start SKM Server – Automatically run SKM Server when launching Telnet Server spotters.

Callsign – Callsign that will be used when connecting to the spotter.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Creating a network of audio channels

Creating a network of channels for audio transmission and telegraph key ››

SDC allows you to create audio streaming over a network. Each channel allows transmission and reception in both directions.

Let's consider an example of creating one sound transmission channel.

SDC is installed on two computers. On the first computer, in the "RMT Server" tab, create "Audio Server 1", on the second, in the "Audio Client" tab, create "Audio Channel 1":

A microphone will be connected on the server and transferred to the second computer.

Add Block is the number of additional buffer blocks. Their number depends on the quality of the network. The more latency in the network, the more blocks need to be reserved. Optimal value for MME driver: Buffer = 4096, add Block = 2.

If you plan to transmit audio streams in both directions, the settings will look something like this:

For example, we need to transfer the sound from the output of «SC» a computer program ExpertSDR2 1 (K1) on the computer speaker 2 (K2). To do this, the program is set to K1 server and «SC» exit the program connects to the audio cable 9 (for example):

The cable also specify the device «Input» SDCS:

The server assigns the port, such as 7342.

The program of SDC, installed on your computer 2 customizable audio channel:

Specifies the host name and port.

Tip: if at the same time to the transfer of audio channels to configure and transfer of COM port CAT system, it becomes possible to use the program on a computer log 2.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Connecting a telegraph key

Creating a network of channels for audio transmission and telegraph key ››

Program SDC + SDCS allows you to transfer to the remote computer manipulation of the telegraph. This will create an intermediate buffer, which will then be played on the remote computer.

Section «CW Key» attached to the audio channel as refers their combined use. For example:

The telegraph key is connected to the COM4 port. The manipulation is transmitted to COM Spider to the "to Remote 847" port, which is connected via a network to LAN-COM Interface 1 on the first computer.

At the same time you can connect CW + PTT keying from the contest log program:

With this setting, you can transfer manipulation from the contest log and telegraph key to the remote computer. In this case, self-control will be output to the audio device specified in "Audio Client" -> Output.

Speed - is the speed at which the key works.

Volume - listening volume of CW manipulation.

BreakIn - sets the BreakIn mode and the delay time for switching to reception after the last digit.

Delay PTT-CW - the time for which CW signal transmission will be delayed after PTT is turned on. That's when all the telegraphic packages will move. There will be no shortening of the first parcel.

CW Pitch - listening tone height CW.

Ramp - is the speed of CW rising fronts.

Width - correction of the dot/tyre length ratio.

Type Key - indicates the polarity of the CW key, or its type.

COM Port Key - specifies the physical COM port for connecting the CW key.

To Spider – port of COM Spider section, to which CW+PTT manipulation will be transmitted.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Create a remote channel with CW self-monitoring for key and contest log

Creating a network of channels for audio transmission and telegraph key ››

At the same time you can connect CW + PTT keying from the contest log program:

With this setting, you can transfer manipulation from the contest log and telegraph key to the remote computer. In this case, self-control will be output to the audio device specified in "Audio Client" -> Output.

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Audio Mixer

This utility is used to solve problems with the audio channels. For example, the conditions of competition stipulated that, if used SO2R mode, the audio recording of communications shall be made in a single file in stereo mode, the RX1 - left channel, RX2 - Right.

In the «Input Device» add two audio devices, which are connected to transceivers. In the «Output Device» introduce the device to which you want to record. In «Sliders» section, we introduce the so-called sliders that establishes a connection and volume levels:

If the transceiver (or program) have different audio channels for playback and self-acceptance, it is necessary to write them to combine and transfer to the appropriate channels at the output:

The slider section has a setting "AGC". It automatically reduces the levels of incoming Sinhalese, if their total exceeds the maximum level.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Audio Scope

Audio Scope is designed to monitor the spectrum and oscillograms of low-frequency signals.

- buttons to add, or delete the last Audio Scope.

- synchronize the launch of the Audioscope with the launch of the transceiver connected via the TCI protocol. TCI client is selected from the list.

- window type. SpectroScope - display only the spectrum, OscilloScope - display only the waveform, Both Vertical, Horisontal - both windows.

In External Window - display graphics window in a separate window on the monitor screen.

- select the type of driver device. To build the spectrum setup Channel, Sample Rate and FFT Size.

- additional settings for the spectrum: averaging and displaying maximum peak levels.

- advanced settings for OscilloScope. Selects the shift mode of the old sweep and the frequency of updating the waveform.

If both graphic windows are displayed, their ratio can be changed with a separator:

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Set Gain & Scale

Audio Scope ››

SpectroScope.

To adjust the dB scale and the width of the frequency section, click the right mouse button and move it left-right, up-down.

To pozionirovaniya area of ​​the spectrum, click the left mouse button and move it left-right, up and down.

The rotation of the mouse wheel additionally adjusts the dB scale.

OscilloScope.

To change sensitivity, rotate the mouse wheel, or press the right button and move the mouse up / down.

To change the speed, press the right mouse button and move it horizontally.

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


PA

The PA tab is designed to control power amplifiers.

The frequency of the active VFO tuning is monitored by the SDC PA software and transmitted to the amplifier via the COM port.

Created with the Personal Edition of HelpNDoc: Easily create Qt Help files


Device Type

PA ››

Version SDC 10.23 allows you to control amplifiers that support CAT protocols from KENWOOD, ICOM, Elecraft, RF-Kit PA

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Data Source

PA ››

To determine the active frequency, you can use the data from the RigSync tab, or from the TCI tab.

If you select Rig Sync as the data source, you must specify this channel:

If TCI is selected, the TCI client and the receiver to which this amplifier will be connected are indicated:

Created with the Personal Edition of HelpNDoc: Free help authoring environment


PTT

PA ››

If the TCI client is selected as the data source, you can implement PTT control for the amplifier using the RTS signal, or DTR of this COM port:

In addition, you can set the delay for the PTT signal activation after sending the VFO setting "Latency" to the new frequency amplifier. This delay will not be used if the VFO frequency does not change at the time of the PTT signal.

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


Electraft

PA ››

If you use an Elecraft amplifier, the following items will be available:

Attenuator - When connected to the amplifier, the internal attenuator will automatically turn on.

Antenna, Band, Erase - the antenna is selected, the range is selected, the "Erase" button is pressed to clear tuner settings.

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


KENWOOD, Icom

PA ››

If you use an amplifier that supports CAT of KEWOOD firms, or Icom? the following items will be available:

Time Poll - the time at which the VFO frequency will be transferred to the amplifier.

Type Poll:

Only Cyclic Control - the VFO frequency will be transmitted periodically.

Send Changes & Cyclic Control - VFO frequency changes will be sent instantly and repeated after a time poll.

Send Changes & Polling - VFO frequency changes will be sent instantly and device readiness will be done through time poll.

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Interfases

PA ››

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


1K-FA

PA ›› Interfases ››

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


KXPA100

PA ›› Interfases ››

Created with the Personal Edition of HelpNDoc: Easily create EBooks


OTRSP

SDC-OTRSP is an intermediary program between the log and a transversier that runs running Expertsdr2. It accepts commands through the COM port and controls the levels of louds of sound channels and their balance.

Based on these commands, controls the E-Coder control panel.

The protocol is described here .

Depending on the command received through the COM and the type of transceiver (SO2V / SO2R), the corresponding volume and balance setting is activated. For example, when receiving the RX2S command, settings from the RX2 STEREO section will be transferred to the transceiver.

COM Port - COM port for receiving commands from the log..

TCI For RX1 - TCI client for the 1st transceiver.

TCI For RX2 - TCI client for the 2st transceiver. If one transceiver is used, then the client name must be the same.

Auto Control E-Coder - control the VFO and RX1 / RX2 E-Coder panels.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Supported Commands

OTRSP ››

RX1 - 1st receiver in mono mode is active.

RX1S - 1st receiver in stereo mode is active.

RX2 - is an active 2nd receiver in mono mode.

RX2S - is an active 2nd receiver in stereo mode.

VFOA, VFO1 - is active VFOA 1st receiver in mono mode.

VFOAS VFO1S - VFOA active 1st receiver in stereo mode.

VFOB, VFO2 - is an active VFOB of the 1st receiver in mono mode.

VFOBS, VFO2S - is an active VFOB 1st receiver in stereo mode.

Created with the Personal Edition of HelpNDoc: Free help authoring environment


SWR Meter

The SWR tab is designed to plot the antenna SWR. Use the Tune mode of transceivers running the ESDR2 program at least version 1.3.0 beta 3. For normal operation of the SWR meter, ensure that the Tune controller provides at least 3 W at the transmitter output.

Select the band (Band), step (Step), frequency boundaries (Start-Stop) and click "Start":

After scanning the range, you can save the results of this measurement to a file. To do this, in the History section, specify the file name and click the "Save" button. The default is a file name consisting of date and time.

You can combine up to 4 dimensions in one diagram.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Example of using the program with 5MContest

Program «SDC» can be used as an alternative 5MTelnetServer subroutine, which is part of 5MContest. The process of launching «SDC» included the launch 5MContest.

In the "Radio - Omni-Rig" settings, we specify the "SDC" program launch file and its server port, put the "Autorun" checkbox. Now, when you run the 5MContest program, the "SDC" program will automatically start. If the SDC program is already running on the computer, then it will be ignored.

The 5MContest program has a call color management feature on the CWSkimmer waterfall. To do this, call the DXCluster window and in the CWSkimmer box, select the "Allow SKIMMER commands" checkbox:

Attention! Do not mark "Put on BandMap Only CQ stations"!

After that, the DXCluster window can be closed.

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


5MContest

Example of using the program with 5MContest ››

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


CAT interface

Example of using the program with 5MContest ›› 5MContest ››

Setting up connection to ExpertSDR2 in the TCI1 tab.

2. Tab "RADIO SETTINGS":

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Connect to SDC Telnet Server

Example of using the program with 5MContest ›› 5MContest ››

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


QSO recording

Example of using the program with 5MContest ›› 5MContest ››

If you use the SUNSDR2 (Pro, DX, MB1) Expertsdr3 transceiver, the QSO record can be made without using audio devices:

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


SDC

Example of using the program with 5MContest ››

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Setup

Example of using the program with 5MContest ›› SDC ››

In the Setup window:

"Move to SysTray on AutoStart" - when you start to show the program window, immediately move its icon to the tray.

"Set no-kill window" - sets the program's "inability" when the cross is pressed in the upper right corner.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Telnet Server

Example of using the program with 5MContest ›› SDC ››

For example, we plan to use two skimmers and an RBN server to track the spots of your callsign.

After entering all the settings, enter the name (for example, 4k + TCI + RBN) in the input field and click the Create new profile button.

After that, select this profile from the list and set the "Use a special profile when 5MContest connected" checkbox. Now, when the 5MContest program is connected to Telnet Server, the settings from the previously saved profile will be automatically selected.

Attention! When you connect the 5MContest program in the "Telnet Server" section, a shortcut will appear for this program:

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


SKM Server

Example of using the program with 5MContest ›› SDC ››

In the SKM Server tab, enter two skimmers with approximately the following settings:

Created with the Personal Edition of HelpNDoc: Qt Help documentation made easy


TCI

Example of using the program with 5MContest ›› SDC ››

If you want the cursor to automatically be returned to the 5MContest program window, then configure TCI-Focus Helper:

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Settings in ExpertSDR2

Example of using the program with 5MContest ››

In the ExpertSDR2 program settings, only the TCI interface port number must be coordinated and the checkbox "Enable" must be set:

With these settings, no action is required to start the SDC routines.

When you start the 5MContest program, in the SDC program in Telnet Server, the corresponding profile will be automatically downloaded, the connection to ExpertSDR2, the start of skimmers, connection to RBN will occur.

For the TCI-CallBack system, we enter the source of spots into the "Spot Setting" section:

Created with the Personal Edition of HelpNDoc: Free Web Help generator


DIGI

Example of using the program with 5MContest ››

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


5MContest

Example of using the program with 5MContest ›› DIGI ››

Open two windows for DIGI.

Place windows on the screen. For instance:

In the Radio window (1) / (2) - SDC Digi Server, call the Settings-> Global Setup menu. You need to specify the SDC-DIGI Server ports ports. The number of the receiver and VFO are also selected. For instance:

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


SDC

Example of using the program with 5MContest ›› DIGI ››

In SDC-Digi Server, open two modem and set them up.

Press the "Start" button in the SDC-DIGI Server. Two windows with waterfalls will appear, place them on the screen. For instance:

Create a profile in SDC-DIGI Server, save the sets.

Waterfall windows will automatically appear on the screen if the Digi modulation type is set to the TCP modem servers connected the log program.

If the windows have not appeared, open the SDC-DIGI Server, you will see the reason:

Video

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


SSB

Example of using the program with 5MContest ››

For SSB operation, SDC provides for the transfer of sound files via TCI. This does not require any audio connections. SDC-Macro gets the name of the file and transforms it into the IQ stream and transfers it to the transceiver via the TCI interface. To work in two-receiver mode in SDC-Macro, create two Macro panels with the following settings:

Do not forget to note that SDC-MARCO will be used in SSB modulation.

5MConest:

Created with the Personal Edition of HelpNDoc: Easily create Qt Help files


Example of using the program with LogHX

The LogHX program, like the 5MContest program, can process received spots and respond with lines indicating the status of callsigns. The procedure for the transfer of the spot looks like this:

SDC skimmers will catch callsigns and send them for review in LogHX.

LogHX will respond to the telnet server of the SDC with indication of what this callsign is (new, new country, repeat)

SDC Telnet Server will transmit the callsign itself to the panorama of the transceiver.

Thus, only those callsigns that are decoded by skimmers, but which have been tested in LogHX, will be displayed on the panorama.

Created with the Personal Edition of HelpNDoc: Easily create Qt Help files


Settings in the LogHX program

Example of using the program with LogHX ››

In the Cluster - Localhost window, the settings are as follows:

Specify the address and port of the SDC-Telnet Server

If you want only spots from the SDC skimmers to be displayed on the transceiver's panorama, then in the LogHX-TCI setting, disconnect the callsign to the panorama directly from the log:

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


Settings in SDC

Example of using the program with LogHX ››

In the SDC - TelnetServer, the types of callsigns are marked, which are sent to the panorama of the transceiver and their color is indicated:

Check the LogHX connection to the SDC-Telnet Server. In the "Telnet Server" section the logo of the LogHX program should appear.

When LogHX is connected to the SDC-Telnet Server, the profile specified in the "Profile" will be selected.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Example of using the program with N1MM

SDC program operates a mediator between the SDR and the program N1MM.

Scheme of work

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


CAT+PTT+CW

Example of using the program with N1MM ››

CAT control, PTT, CW prepare for the two types of work: SO2V and SO2R.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Virtual COM ports

Example of using the program with N1MM ›› CAT+PTT+CW ››

To connect the CAT software systems need to create a minimum of four pairs of virtual COM ports. It is recommended to use com0com program:

https://code.google.com/archive/p/powersdr-iq/downloads

Create a pair: COM3-COM4, COM5-COM6, COM7-COM8, COM9-COM10.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Settings in the N1MM

Example of using the program with N1MM ›› CAT+PTT+CW ››

In the "Configurer" set the type of work "SO2R" and specify the following COM Ports:

Press "Set" button and configure ports.

COM6, CAT system for the 1st Radio:

COM4, ​​PTT and CW control for the 1st Radio:

COM8, CAT system for the 2nd Radio:

COM10, ​​PTT and CW control for the 2nd Radio:

Created with the Personal Edition of HelpNDoc: Free Qt Help documentation generator


Settings in ExpertSDR2

Example of using the program with N1MM ›› CAT+PTT+CW ››

CAT for the 1st Radio:

CAT for the 2nd Radio:

​​PTT and CW control:

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Connecting SDC to ExpertSDR2

Example of using the program with N1MM ››

The procedure for connecting SDC to ExpertSDR2 described in the TCI section .

Created with the Personal Edition of HelpNDoc: Produce online help for Qt applications


Connecting N1MM to SDC-Telnet Server

Example of using the program with N1MM ››

The SDC-Telnet Server program has an aggregator that will allow you to collect spots from several sources and transfer them to the N1MM program

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Settings in SDC

Example of using the program with N1MM ›› Connecting N1MM to SDC-Telnet Server ››

В окне SDC-Telnet Server введите номер порта сервера 7373 и нажмите "Start".

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Settings in N1MM

Example of using the program with N1MM ›› Connecting N1MM to SDC-Telnet Server ››

From the N1MM Window menu, click Telnet. The "Telnet" settings window will appear. In the "Cluster" tab, click the "Edit List" button. In the free line, enter the name "SDC", and in the "URL" column - 127.0.0.1:7373, and click "OK".

In the drop-down menu, select "SDC" and click "Connect to SDC":

The connection protocol will appear in the "SDC" tab, and the number [1] will appear in the "SDC-Telnet Server" window - this is the number of connected programs.

Created with the Personal Edition of HelpNDoc: Benefits of a Help Authoring Tool


Adding external clusters in the SDC-Telnet Server

Example of using the program with N1MM ›› Connecting N1MM to SDC-Telnet Server ››

If necessary, add external clusters to the aggregator:

Created with the Personal Edition of HelpNDoc: Benefits of a Help Authoring Tool


Connecting to the SDC SKM Server

Example of using the program with N1MM ›› Connecting N1MM to SDC-Telnet Server ››

In the SDC Telnet Server setup window, check the "Connect and Start SKM Server" checkbox. When N1MM connects to SDC, Telnet Server will automatically connect to SKM-Server skimmers and start them.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Configuring SDC SKM-Server

Example of using the program with N1MM ››

In the SDC-SKM Server tab open ("+" button) two skimmers and configure them. Save the settings to the "N1MM" profile.

Turn on the transceiver in single receiver mode and press the SDC-SKM Server -> [Start SKM Server] button. Make sure skimmer 1 is working, Tune in a station, CW broadcast text should appear in the "A:" decoder code.

Take the decoder by the letter A or B and place it in a place convenient for you.

Details of decoder window setting.

Details about the SKM Server settings.

Do not forget that after changing the settings, you must save them in your profile.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Transfer of spots to the ExpertSDR2 panorama

Example of using the program with N1MM ››

First, make sure that "Show Spots" is checked in the ExpertSDR2 settings:

Created with the Personal Edition of HelpNDoc: Easily create Help documents


Settings in N1MM

Example of using the program with N1MM ›› Transfer of spots to the ExpertSDR2 panorama ››

Open the N1MM settings window, the "Broadcast Data" tab, check the "Spots" checkbox:

Created with the Personal Edition of HelpNDoc: Free help authoring environment


Settings in SDC

Example of using the program with N1MM ›› Transfer of spots to the ExpertSDR2 panorama ››

There are two ways of transmitting spots to the ExpertSDR2 panorama.

1 - Mode without processing in N1MM (bypass). With this method, spots from skimmers, external clusters (marked "to Pan") will be collected in the "Spots -> Panorama" system and sent to the transceiver panorama. In this case, the color of the spots will correspond to the specified color in the spotter (cluster) setting.

2 - Mode with processing in N1MM. To do this, you need the address and port number in N1MM and check the box "N1MM". If the parameters are correct and there are no restrictions on data transfer from N1MM in the computer settings, then this mode will turn on. In this case, 4 blue triangles will appear near the "Mult ... Dupe" marks - this is the main sign that the mode is working. If no data is received from N1MM for 30 seconds, the "bypass" mode will automatically turn on.

In the second mode, the colors of the spots in the panorama will depend on the settings in the SDC, which you can change. Also, by setting the checkboxes "Mult" ... "Dupe", you specify what types of spots will be displayed in the panorama. In this case, all types of spots will be displayed.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Focus Helper

Example of using the program with N1MM ››

The Focus Helper system is designed to automatically return the input focus to the N1MM window if it is lost. See TCI for a detailed description

Created with the Personal Edition of HelpNDoc: Free EPub producer


Example of using SKM Server without a log programnull

SDC can be used simply to decode CW stations and display callsigns on the transceiver's panorama.

Settings in SDC:

Settings in the ExpertSDR2 program:

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Startup SDC program (Windows)

Press Windows + R buttons, in the window "Run", type "shell: startup" and click Ok:

The Startup folder will open. Copy the SDC shortcut into it.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Program settings

Style - the display style.

Set no-kill window - the program will not close when clicking on the X-close of the window. The program window will be minimized in the tray icon.

Move to SysTray on AutoStart or Minimized - when starting, do not open the program window, do not show the icon in the taskbar. To open the program window and close it, there will be an icon in the tray.

The remaining settings relate to showing the interface of the corresponding subsystems of the SDC program and automatically launching them.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Style

Program settings ››

Fusion style selection:

The choice of style "Night":

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Registration

Registration of the program is not a prerequisite for its use.

After registration, you will have the following opportunities:

- You can use SKM Server together with SDR radios that do not support TCI interface.

- You can automatically receive new program updates in manual and automatic mode.

Support the project on the SDC website with any amount available to you. In the payment note, be sure to include your callsign and e-mail address to which you will receive the registration key!.

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Program updates

New versions of the program are available on the SDC website in the Downloads section.

If your program is registered, you can receive and install program updates without visiting the site:

Updates will be downloaded to the user's LwSoft / Download folder and before installation you will receive a request for this procedure.

An example of a manual update request. Beta version 12.2118 detected:

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents